EMACSCLIENT(1)

NAME
emacsclient - tells a running Emacs to visit a file

SYNOPSIS
emacsclient [options] files ...

DESCRIPTION
This manual page documents briefly the emacsclient command. Full documentation is available in the GNU Info format; see below. This manual page was originally written for the Debian GNU/Linux distribution, but is not specific to that system.

emacsclient works in conjunction with the built-in Emacs server.

You can either call emacsclient directly or let other programs run it for you when necessary. On GNU and Unix systems many programs consult the environment variable EDITOR (sometimes also VISUAL) to obtain the command used for editing. Thus, setting this environment variable to 'emacsclient' will allow these programs to use an already running Emacs for editing. Other operating systems might have their own methods for defining the default editor. For emacsclient to work, you need an already running Emacs with a server. Within Emacs, call the function `server-start'. (Your `.emacs' file can do this automatically if you add the expression `(server-start)' to it.) When you've finished editing the buffer, type `C-x #' (`server-edit'). This saves the file and sends a message back to the `emacsclient' program telling it to exit. The programs that use `EDITOR' wait for the "editor" (actually, `emacsclient') to exit. `C-x #' also checks for other pending external requests to edit various files, and selects the next such file. If you set the variable `server-window' to a window or a frame, `C-x #' displays the server buffer in that window or in that frame.

OPTIONS
The programs follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-n, --no-wait
    returns immediately without waiting for you to "finish" the buffer in Emacs.

-e, --eval
    do not visit files but instead evaluate the arguments as Emacs Lisp expressions.

-s, --socket-name=FILENAME
    Use socket named FILENAME for communication.

-a, --alternate-editor=EDITOR
    if the Emacs server is not running, run the specified editor instead. This can also be specified via the `ALTERNATE_EDITOR' environment variable.

-d, --display=DISPLAY
    tell the server to display the files on the given display.

-V, --version
    print version information and exit

-h, --help
    print this usage information message and exit

SEE ALSO
The program is documented fully in Using Emacs as a Server available via the Info system.

AUTHOR
This manual page was written by Stephane Bortzmeyer <bortzmeyer@debian.org>, for the Debian GNU/Linux system (but may be used by others).

COPYING
This manual page is in the public domain.